package org.jeecg.modules.adweb.workflow.service;

import com.baomidou.mybatisplus.extension.service.IService;
import java.util.List;
import org.jeecg.modules.adweb.workflow.entity.ExecuteNode;

/**
 * @Description: adweb_execute_node @Author: jeecg-boot @Date: 2021-11-12 @Version: V1.0
 */
public interface IExecuteNodeService extends IService<ExecuteNode> {

  /** 判断站点是否具有建站流程 @Author: luxiaoxiao @Date: 2021/11/15 */
  boolean haveSiteBuildFlow(String siteCode);

  /** 获取建站流程 @Author: luxiaoxiao @Date: 2021/11/15 */
  List<ExecuteNode> getSiteBuildFlow(String siteCode);

  List<ExecuteNode> getEnquiryVerifyFlow(String siteCode);

  /** 获取建站模板流程 @Author: luxiaoxiao @Date: 2021/11/15 */
  List<ExecuteNode> getSiteBuildTemplateFlow();

  List<ExecuteNode> getEnquiryVerifyTemplateFlow();

  Long getEnquiryVerifyTemplateFlowCount();

  /** 获取SEO优化模板流程 @Author: luxiaoxiao @Date: 2021/11/15 */
  List<ExecuteNode> getSEOTemplateFlow();

  /** 保存流程模板 @Author: luxiaoxiao @Date: 2021/11/15 */
  boolean saveTemplate(List<ExecuteNode> nodeList);

  /** 获取未完成的SEO节点 */
  List<ExecuteNode> getSeoUnfinishedNode(String historyId);

  /** 获取未完成的建站节点 */
  List<ExecuteNode> getSiteUnfinishedNode(String siteCode);

  List<ExecuteNode> getEnquiryVerifyUnfinishedNode(String enquiryId);

  /** 给站点创建建站流程 @Author: luxiaoxiao @Date: 2021/11/16 */
  boolean copySiteFlow(String siteCode);

  /** 给站点创建建站流程 @Author: luxiaoxiao @Date: 2021/11/16 */
  void copyEnquiryVerifyFlow(String enquiryId);
}
